import { defineComponent as n, computed as o, openBlock as a, createElementBlock as l, createVNode as s, unref as r, normalizeStyle as p } from "vue";
import h from "../../../NComponents/echartsContainer/EchartsContainer.mjs";
const m = n({ name: "EPieCircle" }), y = /* @__PURE__ */ n({
  ...m,
  props: {
    themeColor: {
      type: Object,
      required: !1
    },
    themeSetting: {
      type: Object,
      required: !1
    },
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(t) {
    const e = t, c = o(() => e.chartConfig.option), i = o(() => ({
      height: e.chartConfig.attr.h,
      width: e.chartConfig.attr.w
    }));
    return (u, f) => (a(), l("div", null, [
      s(h, {
        options: r(c),
        style: p(r(i)),
        theme: t.themeColor
      }, null, 8, ["options", "style", "theme"])
    ]));
  }
});
export {
  y as default
};
